About
-----

Bikini is a self-contained, minimalist, file based wiki which runs as CGI script. 

Bikini supports several typical wiki features like: 

* refined UI;
* multiple page revisions; 
* recent changes listing (including an Atom feed version);
* needed pages;
* unlinked pages;

Bikini uses Creole syntax to edit contents and includes a SmartyPants processor to beautify content typography.


Requirements
------------

Bikini requires Python 2.5+ and runs on Apache 2 and other web servers.


Setup
-----

* Copy all the files (including the hidden .htaccess file) in the root of your web site or in a sub-folder (e.g. "notes"). The folder must be script-writable;
* make sure the file index.cgi is executable. If not, issue a "chmod 755 index.cgi";
* point your browser to the correct URI (e.g. http://yourserver.tld/notes/). 

If everything has been set up correctly you should see the FrontPage.

Customize your Bikini installation by copying or renaming "configuration.sample.py" file into "configuration.py" and change the settings as you wish. Please refer to http://lab.passiomatic.com/bikini/Setup for updated setup and troubleshooting information.


History
-------

- 1.2.1

  * Fixed invalid Atom feed;
  * fix for issue #17: mobile navigation cannot take user to FrontPage;
  * added PageName/diff shortcut: show diff between current and previous revision;
  * styled more HTML elements to match new theme;
  * more detailed feedback messages after page saving;
  * added CSS styling hook to body element;
  
- 1.2.0

  * Completely redesigned UI; 
  * new dedicated WikiWord/revisions page;
  * various bug fixes and performance tweaks. 

- 1.1.0
 
  * page URI fragments (e.g. #s-heading-title) for each h2 heading for easy linking;
  * keyboard shortcuts for "edit", "view source" and "about" actions; 
  * group consecutive changes for the same page in RecentChanges lists;
  * added Configuration, WikiWord and SmartyPants documentation pages;
  * various user interface tweaks;
  * bug fixes.

- 1.0.0 

  * fine tuned CSS code to support all Creole 1.0 elements;
  * proper <title> values for all pages;
  * faster setup process: out of the box initial FrontPage, demo page for Creole syntax and default configuration values;
  * sensible defaults for content caching in .htaccess (off by default);
  * removed conflicts between Creole optional syntax extensions and SmartyPants;
  * added printer-friendly stylesheet.

- 0.9.0 
 
  * First release.

